using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATVariableDefinition")]
[Index("Scope", "ProcessId", Name = "ScopeandPID")]
public partial class AtvariableDefinition
{
    [Key]
    [Column("VariableID")]
    public int VariableId { get; set; }

    [StringLength(50)]
    public string Name { get; set; } = null!;

    public int Scope { get; set; }

    public int DataType { get; set; }

    [Column("ProcessID")]
    public int? ProcessId { get; set; }

    [Column(TypeName = "text")]
    public string? Value { get; set; }
}
